import { ConfigFile, IConfig } from '../definitions';
export declare abstract class BaseConfig<T> implements IConfig<T> {
    fileName: string;
    directory: string;
    filePath: string;
    protected configFile?: T;
    protected originalConfigFile?: {
        [key: string]: any;
    };
    constructor(directory: string, fileName: string);
    abstract provideDefaults(o: {
        [key: string]: any;
    }): Promise<{
        [key: string]: any;
    }>;
    abstract is<T>(o: {
        [key: string]: any;
    }): o is T;
    load(): Promise<T>;
    save(configFile?: T): Promise<void>;
}
export declare const CONFIG_FILE = "config.json";
export declare const CONFIG_DIRECTORY: string;
export declare class Config extends BaseConfig<ConfigFile> {
    provideDefaults(o: any): Promise<any>;
    is<ConfigFile>(j: any): j is ConfigFile;
}
