import { IonicEnvironment, Plugin } from '../definitions';
export declare const KNOWN_PLUGINS: string[];
export declare const ORG_PREFIX = "@ionic";
export declare const PLUGIN_PREFIX = "cli-plugin-";
export declare const ERROR_PLUGIN_NOT_INSTALLED = "PLUGIN_NOT_INSTALLED";
export declare const ERROR_PLUGIN_NOT_FOUND = "PLUGIN_NOT_FOUND";
export declare const ERROR_PLUGIN_INVALID = "PLUGIN_INVALID";
export declare function formatFullPluginName(name: string): string;
export declare function promptToInstallProjectPlugin(env: IonicEnvironment, {message}: {
    message?: string;
}): Promise<Plugin | undefined>;
export declare function promptToInstallPlugin(env: IonicEnvironment, pluginName: string, {message}: {
    message?: string;
}): Promise<Plugin | undefined>;
export declare function installPlugin(env: IonicEnvironment, plugin: Plugin): void;
export declare function loadPlugins(env: IonicEnvironment): Promise<(() => Promise<void>) | undefined>;
export declare function loadPlugin(env: IonicEnvironment, pluginName: string, {message, askToInstall}: {
    message?: string;
    askToInstall?: boolean;
}): Promise<Plugin>;
export declare function checkForUpdates(env: IonicEnvironment): Promise<void>;
export declare function getLatestPluginVersion(env: IonicEnvironment, plugin: Plugin): Promise<string>;
export declare function getReleaseChannelName(version: string): 'canary' | 'beta' | 'latest';
