import * as inquirerType from 'inquirer';
import ui = inquirerType.ui;
export declare const TASKS: Task[];
export declare class Task {
    msg: string;
    intervalId?: any;
    running: boolean;
    protected bottomBar: ui.BottomBar;
    private spinner;
    private progressBar?;
    constructor(msg: string);
    start(): this;
    tick(): this;
    progress(prog: number, total: number): this;
    format(): string;
    clear(): this;
    end(): this;
    succeed(): this;
    fail(): this;
}
export declare class TaskChain {
    protected currentTask?: Task;
    next(msg: string): Task;
    updateMsg(msg: string): this;
    end(): this;
    fail(): this;
}
